package com.bio.bio_backend.domain.base.file.service;

import com.bio.bio_backend.domain.base.file.dto.FileUploadRequestDto;
import com.bio.bio_backend.domain.base.file.dto.FileUploadResponseDto;
import com.bio.bio_backend.domain.base.file.dto.MultipleFileUploadRequestDto;
import com.bio.bio_backend.domain.base.file.dto.MultipleFileUploadResponseDto;
import com.bio.bio_backend.domain.base.file.entity.File;

public interface FileService {
    FileUploadResponseDto uploadFile(FileUploadRequestDto requestDto);
    MultipleFileUploadResponseDto uploadMultipleFiles(MultipleFileUploadRequestDto requestDto);
    File getFileByOid(Long oid);
    byte[] downloadFile(Long oid);
    void deleteFile(Long oid); // 논리적 삭제 (use_flag를 false로 변경)
}
